/*	Title: 	gsave.c
 *  Classification:  public-domain
 *  
 *  Author:  R.E. Sawyer
 *  Date: 14 April 84
 *  
 *  Description:  gsave() copies a graphics page into a file
 *	              
 *	Hardware requirements:  Hercules Graphics Card/ IBM mono monitor
 *  
 *  Language:  C (DeSmet v2.x)
 */


main(argc, argv)
int argc;
char *argv[];
	{
	if ( argc != 3)
		{
		printf("\nUsage:  gsave page# filename");
		exit();
		}
	gsave(atoi(argv[1]), argv[2]);
	}

 
gsave(page, fname)
int page;
char fname[];
	{
	int fnbr;
	unsigned seg, off;

	page ? (seg = 0xb800) : (seg = 0xb000);

	if ((fnbr = fopen(fname, "w")) == 0)
		{
		printf("\nCan't open %s\n", fname);
		exit();
		}
	
	for (off=0; off<32768; ++off)
			fputc(_peek(off, seg), fnbr);  
	fclose(fnbr);                              
	}
